On this page
No Headings
Oauth 2.0 authentication
Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/invoicing/invoices/readThe page number to be retrieved, for the list of items. So, a combination of page=1 and page_size=20 returns the first 20 invoices. A combination of page=2 and page_size=20 returns the next 20 invoices.
11 <= value <= 1000The maximum number of invoices to return in the response.
201 <= value <= 100Indicates whether the to show total_pages and total_items in the response.
falseA comma-separated list of additional fields to return, if available.
^.*$0 <= length <= 2147483647Holds authorization information for external API calls.
^.*$1 <= length <= 16000application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api-m.sandbox.paypal.com/v2/invoicing/invoices" \ -H "Authorization: Bearer A21AAGHr9qtiRRXH4oYcQokQgV99rGqEIfgrr8xHCclP0OzmD9KVgg5ppIIg1jzJgQkV4wd02svIvBJyg6cLFJjFow_SjBhxQ"{
"total_pages": 0,
"total_items": 0,
"items": [],
"links": []
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"debug_id": "e7c71c2e905fa",
"details": [
{
"field": "page_size",
"value": "1000",
"location": "query",
"issue": "INVALID_INTEGER_MAX_VALUE",
"description": "The integer value of a field is too large."
}
],
"links": [
{
"href": "https://developer.paypal.com/docs/api/invoicing/#errors",
"method": "GET"
}
]
}{
"name": "AUTHENTICATION_FAILURE",
"debug_id": "b1d1f06c7246c",
"message": "Authentication failed due to missing Authorization header, or invalid authentication credentials."
}{
"name": "NOT_AUTHORIZED",
"debug_id": "b1d1f06c7246c",
"message": "Authorization failed due to insufficient permissions."
}{
"name": "INTERNAL_SERVER_ERROR",
"debug_id": "b1d1f06c7246c",
"message": "An internal server error has occurred."
}{
"name": "INTERNAL_SERVER_ERROR",
"debug_id": "b1d1f06c7246c",
"message": "An internal server error has occurred."
}